<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page" sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_READ)">
    <div class="ui grid">
      <div class="three wide column">
      <th:block th:replace="common/fragments/elements :: title(text = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEMS}}, 
                                                               icon = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKITEMS}, 
                                                               url = null)" 
                                                               />
      </div>
      <div class="thirteen wide column">
        <div class="ui floating small basic icon dropdown icon button right floated" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW}"></i>
          <div class="menu">
            <th:block th:each="item : ${typesofworkitem}">
              <a class="item" sec:authorize="${hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_PREFIX + #vars.item.role.name)}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_CREATE} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SLASH + item.id}}" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).VIEW_ATTRIBUTE_TYPESOFWORKITEM} + '.' + ${item.id}}"> </a>
            </th:block>
          </div>
        </div>
        <button class="ui small basic grey icon filter button flowing right floated" onclick="filter()">
          <i class="filter icon"></i>
          <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_FILTER}}"></span>
        </button>
      </div>
    </div>
    <div th:replace="common/fragments/modal :: modal(medium, middle)"></div>
    <br />
    <div th:fragment="list-workitems" id="list-workitems">
      <div class="ui four stackable cards">
        <th:block th:each="item : ${workitems}">
          <div class="ui card" th:replace="common/fragments/elements :: workitem(item = ${item})"></div>
        </th:block>
      </div>
    </div>
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_WORKITEMS_JS}}"></script>
</body>
</html>